commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benedikt Ritter (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (LOGGING-165) Java 9 compatibility
Date Tue, 26 Sep 2017 14:56:00 GMT

     [ https://issues.apache.org/jira/browse/LOGGING-165?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Benedikt Ritter updated LOGGING-165:
------------------------------------
    Fix Version/s: 1.2.1

> Java 9 compatibility
> --------------------
>
>                 Key: LOGGING-165
>                 URL: https://issues.apache.org/jira/browse/LOGGING-165
>             Project: Commons Logging
>          Issue Type: Improvement
>    Affects Versions: 1.2
>            Reporter: 陈宝仪
>             Fix For: 1.2.1
>
>
>  Ading modularity headers so that other module can import it
> [My project|https://github.com/leonchen83/redis-replicator] using commons-logging as
dependency. 
> When I use maven build my project. shows following warning:
> [INFO] --- maven-compiler-plugin:3.7.0:compile (default-compile) @ redis-replicator ---
> [WARNING] ********************************************************************************************************************
> [WARNING] * Required filename-based automodules detected. Please don't publish this project
to a public artifact repository! *
> [WARNING] ********************************************************************************************************************
> The root cause is commons-logging-1.2 is not a standard java 9 module(miss module-info.java).

> Env:
> java version "9"
> Java(TM) SE Runtime Environment (build 9+181)
> Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message